Subject: bug#8263: [PATCH] Allow == as synonym for = in test

From: Pádraig Brady <[email-masked]>
Date: Mon, 21 Mar 2011 12:25:38 +0000

On 15/03/11 23:39, David A. Wheeler wrote:
> The following trivial patch makes GNU coreutils' test recognize "=="
> as a synonym for "=".  This is already the case in GNU coreutils' expr,
> bash, ksh, busybox ash, FreeBSD-current /bin/sh and /bin/test, and
> OpenBSD's /bin/sh.  These are only a few lines, so I don't think
> any paperwork is needed.  The following implements "==" and documents it.

Related http://austingroupbugs.net/view.php?id=375
I'm leaning towards accepting this.

Note dash does not support ==, nor does older busybox ash.
dash seem to be waiting for the POSIX acceptance before changing?

cheers,
Pádraig.